package com.bonus.sharedstation.app.service;


import com.baomidou.mybatisplus.extension.service.IService;
import com.bonus.common.core.web.domain.AjaxResult;
import com.bonus.sharedstation.app.domain.TherapyAppointments;
import com.bonus.sharedstation.app.dto.GreenInfoDTO;
import com.bonus.sharedstation.app.dto.GreenOrderDTO;
import com.bonus.sharedstation.app.entity.GreenOrder;

/**
 * 便民服务信息表保洁(CleaningServicesOrder)表服务接口
 *
 * @author makejava
 * @since 2024-12-10 17:02:11
 */
public interface GreenOrderService extends IService<GreenOrder> {

    AjaxResult getListPageApp(GreenOrderDTO dto);

    AjaxResult selectInfoById(GreenOrder dto);

    AjaxResult add(GreenOrderDTO dto);
    /**
     * 更新 取消
     */
    AjaxResult updateInfoById(GreenOrder dto);

    AjaxResult getListPage(GreenInfoDTO dto);

    AjaxResult selectDirCode(TherapyAppointments dto);
}

